package com.example.epos_2021.activities;

import android.content.Intent;
import android.net.Uri;

import com.example.epos_2021.R;
import com.example.epos_2021.base.BaseActivity;
import com.google.android.material.button.MaterialButton;

public class AppVersionUpdateActivity extends BaseActivity {
    MaterialButton btnUpdate;

    @Override
    protected void setXML() {
        super.setXML();
        setContentView(R.layout.activity_settings);
    }

    @Override
    protected void initViews() {
        super.initViews();
        btnUpdate = findViewById(R.id.btnUpdateApp);
        btnUpdate.setOnClickListener(view -> {
            Intent i = new Intent(Intent.ACTION_VIEW);
            i.setData(Uri.parse("https://play.google.com/store/apps/details?id=" + getPackageName()));
            startActivity(i);
        });
    }
}
