package com.example.epos_2021.models;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.PrimaryKey;

/**
 * Created by Amrish on 12-05-2021.
 */
@Entity(foreignKeys = {@ForeignKey(entity = Order.class, parentColumns = "_id", childColumns = "_order_id", onDelete = ForeignKey.CASCADE)})
public class OrderPayment {
    @PrimaryKey(autoGenerate = true)
    public int _id;
    @ColumnInfo(index = true)
    public int _order_id;
    @ColumnInfo(index = true)
    public int _order_split_id;

    public String id, payment_method_id, payment_method_name, updater_id, cheque_number, cc_number, order_id, txn_id, mode, order_split_id, voucher_id;
    public float amount;

}
