package com.example.epos_2021.online.base;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import com.example.epos_2021.MyApp;
import com.example.epos_2021.comman.CommonFunctions;
import com.example.epos_2021.models.Admin;
import com.example.epos_2021.models.Business;

/**
 * Created by admin on 14-03-2017.
 */

public class BaseActivity extends AppCompatActivity {

    protected MyApp myApp = MyApp.getInstance();
    protected AlertDialog progressDialog;
    protected Admin loggedInAdmin = myApp.myPreferences.getLoggedInAdmin();
    protected Business selectedBusiness = loggedInAdmin.selected_business;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        manageIntents();
        setXML();

        initViews();
    }

    protected void manageIntents() {
        Bundle bundle = getIntent().getExtras();

    }

    protected void setXML() {

    }

    protected void initViews() {

        progressDialog = CommonFunctions.customProgressDialog(this, "Loading...");
    }

    @Override
    public boolean onSupportNavigateUp() {
        onBackPressed();
        return super.onSupportNavigateUp();
    }

}
