package com.example.epos_2021.daos.relations;

import androidx.room.Embedded;
import androidx.room.Relation;

import com.example.epos_2021.models.OrderItem;
import com.example.epos_2021.models.OrderItemAddon;
import com.example.epos_2021.models.OrderItemIngredient;

import java.util.List;

/**
 * Created by Amrish on 21-05-2021.
 */
public class OrderItemWithAddonsIngredients {
    @Embedded
    public OrderItem orderItem;
    @Relation(parentColumn = "_id", entityColumn = "_order_item_id", entity = OrderItemAddon.class)
    public List<OrderItemAddon> orderItemAddons;
    @Relation(parentColumn = "_id", entityColumn = "_order_item_id", entity = OrderItemIngredient.class)
    public List<OrderItemIngredient> orderItemIngredients;
}
