package com.example.epos_2021.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;

import com.example.epos_2021.R;
import com.example.epos_2021.base.BaseFragment;

public class NewHomeFragment extends BaseFragment {

    public static NewHomeFragment getInstance() {
        return new NewHomeFragment();
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        return inflater.inflate(R.layout.fragment_new_home, container, false);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        initViews();
    }

    private void initViews() {
        FragmentManager manager = getChildFragmentManager();
        FragmentTransaction transaction = manager.beginTransaction();
        transaction.replace(R.id.flTable, DineInFragment.getInstance(true));
        transaction.replace(R.id.flOrder, OrdersAllFragment.getInstance(true));
        transaction.commit();
    }

    @Override
    public void onResume() {
        super.onResume();
        myApp.isReservationOpen = false;
    }
}
