package com.example.epos_2021.merchant.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.example.epos_2021.R;
import com.example.epos_2021.base.BaseFragment;
import com.example.epos_2021.models.Restaurant;

public class SettingsBankDetailsFragment extends BaseFragment {

    private TextView tvBankName, tvBankAccountNumber, tvBankCode, tvAccountName, tvAccountType;
    private ImageView ivBack;
    private Restaurant restaurant = myPreferences.getRestaurant();

    public static SettingsBankDetailsFragment getInstance() {
        return new SettingsBankDetailsFragment();
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        return inflater.inflate(R.layout.fragment_settings_bankdetails, container, false);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        initViews(view);
        setListeners();
    }

    private void setListeners() {

    }

    private void initViews(View view) {
        tvBankAccountNumber = view.findViewById(R.id.tvBankAccountNumber);
        tvAccountName = view.findViewById(R.id.tvAccountName);
        tvAccountType = view.findViewById(R.id.tvAccountType);
        tvBankCode = view.findViewById(R.id.tvBankSortCode);
        tvBankName = view.findViewById(R.id.tvBankName);
        ivBack = view.findViewById(R.id.ivBack);


//        tvBankName.setText(restaurant.bank_details.bank_name);
//        tvAccountName.setText(restaurant.bank_details.account_name);
//        tvBankAccountNumber.setText(restaurant.bank_details.account_number);
//        tvAccountType.setText(restaurant.bank_details.account_type);
//        tvBankCode.setText(restaurant.bank_details.sort_code);
    }
}
