package com.example.epos_2021.models;

import java.util.ArrayList;

/**
 * Created by Amrish on 23-04-2021.
 */
public class Business {
    public String id, name, email, contact_numbers, address, city, state, postcode, country_id;
    public Country country;
    public boolean selected;

    public ArrayList<BusinessCardReader> card_readers;
    public ArrayList<Printer> printers = new ArrayList<>();

    public boolean epos_service;//: true
    public boolean connect_service;//: true
    public boolean tip;//: true
    public boolean merchant_service;//: false
    public String paypal_mode;//: "Test"
    public String paypal_private_key_live;//: null
    public String paypal_private_key_test;//: null
    public String paypal_public_key_live;//: null
    public String paypal_public_key_test;//: null
    public String statement_description;//: null
    public String statement_descriptor;//: null
    public String stripe_mode;//: "Test"
    public String stripe_private_key_live;//: null
    public String stripe_private_key_test;//: null
    public String stripe_public_key_live;//: null
    public String stripe_public_key_test;//: null
    public String s_account_id;
    public String s_location_id;
    public String connect_stripe_public_key;
    public String connect_stripe_private_key;

    public String admin_password;//: null
    public String supervisor_password;//: null

    public MerchantUserPermission admin_permissions;
    public MerchantUserPermission supervisor_permissions;
}
