package com.example.epos_2021.models;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.util.ArrayList;

/**
 * Created by Amrish on 24-04-2021.
 */
@Entity
public class Category {
    @PrimaryKey
    @NonNull
    public String id;
    @ColumnInfo(index = true)
    public String parent_id;
    public String name, description;
    public boolean disabled;
    public int sequence;
    public String top_color, bottom_color, font_color;
    public String print_block_id;
    @Ignore
    public ArrayList<Category> children;
}
