package com.example.epos_2021.models;

import androidx.annotation.NonNull;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.util.ArrayList;

@Entity
public class ProductAddon {

    @PrimaryKey
    @NonNull
    public String id;

    public String addon_id;
    public String product_id;

    public int sequence, min_quantity, max_quantity;
    public boolean disabled;
    public String created_at;
    @Ignore
    public Addon addon;
    @Ignore
    public int selectedQuantity;
    @Ignore
    public ArrayList<OrderItemAddon> selectedOrderItemAddon = new ArrayList<>();

}
