package com.example.epos_2021.models;

import androidx.annotation.NonNull;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.util.Objects;

/**
 * Created by Amrish on 24-04-2021.
 */
@Entity
public class TableStatus {
    @PrimaryKey
    @NonNull
    public String id;
    public String status, top_color, bottom_color;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TableStatus that = (TableStatus) o;
        return status.toLowerCase().equals(that.status.toLowerCase());
    }

    @Override
    public int hashCode() {
        return Objects.hash(status);
    }
}
