package com.example.epos_2021.models;

import androidx.annotation.NonNull;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

@Entity
public class User {
    @PrimaryKey
    @NonNull
    public String id;
    public String name, username, email, mobile, password, user_type_id, user_group_id, image_url, thumb_url,
            string_permission;

    public boolean disabled;

    @Ignore
    public EposUserPermission permissions;

    @Override
    public String toString() {
        return username;
    }
}
