package com.example.epos_2021.models;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

/**
 * Created by Amrish on 17-05-2021.
 */
@Entity
public class Voucher {
    @PrimaryKey(autoGenerate = true)
    public int _id;
    public int _customer_id;

    public String id, customer_id, order_type_id, week_day, voucher_code,
            start_date, end_date, customer_name, customer_mobile, customer_email, created_at, updated_at;
    public float voucher_amount, minimum_order_value;
    public boolean uploadable, disabled;

    @Ignore
    boolean applied;
    @Ignore
    public Customer customer;
}
